Page MenuHomePhabricator

Edit tab on translatable pages flashes "Translate" before changing "Edit wikitext".
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to https://www.mediawiki.org/wiki/Help:Extension:Translate/de
  2. Observe the edit/translate tab

Translate extension overrides the edit tab to point to Special:Translate and say Translate. It looks like VE is overriding the text back to Edit wikitext.

I have a vague memory that things will break if ca-edit is not present on a page. How can we resolve this conflict?

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterOnly change edit tab text if the current text is as expected

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: VisualEditor.
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 8:28 AM
Krenair set Security to None.
Nikerabbit triaged this task as Medium priority.Jul 21 2015, 7:56 PM

Change 226906 had a related patch set uploaded (by Alex Monk):
Only change edit link if the current text is as expected

https://gerrit.wikimedia.org/r/226906

Jdforrester-WMF closed this task as Resolved.Jul 31 2015, 9:45 PM
Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.

Change 226906 merged by jenkins-bot:
Only change edit tab text if the current text is as expected

https://gerrit.wikimedia.org/r/226906

Neil_P._Quinn_WMF reopened this task as Open.Aug 1 2015, 12:09 AM

@Krenair, @Jdforrester-WMF, on the beta cluster, I'm currently seeing two edit tabs, both just labeled "Edit". Breakage from this commit?

On any page I visit on the enwiki beta. For example, http://en.wikipedia.beta.wmflabs.org/wiki/Selenium_Echo_link_test_0.9416020706647211_0.9416020706647211. Obviously, you have to have the VE beta feature enabled.

Interesting. Only for uselang=en (and preferences), all others worked fine. Caching issue?

It may have been. It seems to be working correctly now.

Krenair closed this task as Resolved.Sep 14 2015, 12:10 PM